function [tree, crossValError] = selectTree(trees,crossValErrors)
%function [tree, crossValError] = selectTree(trees,crossValErrors)
%DESCRIPTION: Select the optimal Decision Tree
%INPUTS:
%   - trees: Three types of trees to evaluate
%   - crossValErrors: Cross Validation Errors of each model
%RETURN:
%   - tree: Selected tree
%   - crossValError: CrossValidation error of the selected tree
%Author: Bernat Carbons
%Modification Date: 25/06/2014


%Select the tree with small Cross Validation Error
treeSel=find(crossValErrors==min(crossValErrors));
if length(treeSel)>1
    treeSel=input(strcat('Select a tree among:',32, ...
        num2str(treeSel),32,'->',32));
end
       
tree=trees{treeSel};
crossValError=crossValErrors(treeSel);


%Display
display(strcat('Tree with split criterion:',32,tree.ModelParameters.SplitCriterion));
display(strcat('Cross Validation Error:',32, num2str(crossValError)));

