function state=questDataCSVdoc(dataAnthropoSQL,dataActivitiesSQL,resfilename)
%function state=questDataCSVdoc(dataAnthropoSQL,dataActivitiesSQL,resfilename)
%DESCRIPTION: Amount of questionnaries data. All users jointly. Write excel
%(*.csv) document.
%INPUTS:
%   - dataAnthropoSQL: Antrhropometric data SQL
%   - dataActivitiesSQL: Indicated activities (questionnaires) SQL
%   - resfilename: Name of the output file
%RETURN:
%   - state: Succes or fail
%Author: Bernat Carbons
%Modification Date: 06/06/2014


[numUsers,~]=size(dataAnthropoSQL);
numUsers=numUsers-1;

idUsers=zeros(1,numUsers);
tdays=zeros(1,numUsers);
ages=zeros(1,numUsers);
genders=cell(1,numUsers);
actives=cell(1,numUsers);
percent=zeros(1,numUsers);




for in=1:numUsers
    idUsers(in)=str2double(dataAnthropoSQL(in+1));
end



%Select desirable users
for in=1:numUsers
    [percent(in), tdays(in),~]=amountQuestData(dataActivitiesSQL,idUsers(in));
    %antroData{in}=get_anthroData(dataAnthropoSQL, idUsers(in));
    [~,~,ages(in),gender,active]=get_anthroData(dataAnthropoSQL, idUsers(in));
    if gender==0
        genders{in}='Female';
    else
        genders{in}='Male';
    end
    if active==0
        actives{in}='No';
    else
        actives{in}='Yes';
    end
end

    
%Create the *.csv document
header=strcat('idUser\tnumDays\tAge\tGender\tActive\tComplete(percent)\n');
fid = fopen(resfilename, 'w');
fprintf(fid,header);

%fclose(fid);
%mycell={idPrueba,minFI,minF0,minF2,minPrueba};

fprintf(fid,'\n');
for in=1:numUsers
    fprintf(fid, '%.0f\t%.0f\t%.0f\t%s\t%s\t%.2f\n',idUsers(in), ...
        tdays(in),ages(in),genders{in},actives{in},percent(in));
end

fclose(fid);

state='Amount of questionnaries data CSV file built successfully';