function [newData, newTime]=resampleData(data,time,fs)
%function [newData, newTime]=resampleData(data,time,fs)
%DESCRIPTION: Resample non-uniform data 
%INPUTS:
%   - data: data to resample
%   - time: time vector
%   - fs: Sample frequency
%RETURN:
%   - newData: new values after resampling
%   - newTime: new time vector after resampling
%Author: Bernat Carbons
%Modification Date: 09/05/2014

%Sample Period
Ts=1/fs;

%Delete negative values
posNeg=find(diff(time)<=0);
while isempty(posNeg)==0
    posNeg=find(diff(time)<=0);
    time(posNeg)=[];
    data(posNeg,:)=[];
end

%New vector of time
newTime=time(1):Ts:time(end);

%Interpolation
newData=interp1(time,data,newTime,'linear');


