function value=anthropometricDataSQL(dataAnthropoSQL, idUser, desData)
%function value=anthropometricDataSQL(dataAnthropoSQL, idUser, desData)
%DESCRIPTION: Get anthropometric data from SQL database:age,height, weight,
%gender and physical activity.
%INPUTS:
%   - dataAnthropoSQL: Antrhropometric data SQL
%   - idUser: Desired user's identifier
%   - desData: Desired data (age,height, weight, gender or active)
%RETURN:
%   - value: The value for the desired data
%Author: Bernat Carbons
%Modification Date: 21/04/2014


%Load the anthropometric data from SQL database
%[file, pathname]=uigetfile('*.csv');
%fileComplete = fullfile('/Users/Bernat/Dropbox/Bernat/4B/TFG/SQLite/', 'rsaf_anthropometricData.csv');
%newData1=read_mixed(fileComplete, ',');

%Get the columns
idUsers=str2double(dataAnthropoSQL(2:end,1));
dateBirth=dataAnthropoSQL(2:end,6);
height=str2double(dataAnthropoSQL(2:end,7));
weight=str2double(dataAnthropoSQL(2:end,8));
gender=dataAnthropoSQL(2:end,9);
active=dataAnthropoSQL(2:end,10);

%Select the desired data
sel=find(idUsers==idUser,1);
if isempty(sel)
    value='idUser no exist';
    return;
end

if strcmp('age', desData)
    age = textscan(dateBirth{sel},'%s','Delimiter','-');
    age=str2double(age{1});
    value=year2age(age(1), age(2));
else if strcmp('height',desData)
        value=height(sel);
    else if strcmp('weight',desData)
           value=weight(sel);
        else if strcmp('gender',desData)           
                if strcmp(gender{sel}, 'Male') || strcmp(gender{sel}, 'Hombre')
                    value=1;%value=1-->Male
                else if strcmp(gender{sel}, 'Female') || strcmp(gender{sel}, 'Mujer')
                    value=0;%value=0-->Female
                    else
                        value='Gender error';
                    end
                end         
            else if strcmp('active',desData)
                    if strcmp(active{sel}, 'Activo') || strcmp(active{sel}, 'Active')
                        value=1;%value=1-->Active person
                    else if strcmp(active{sel}, '"No Activo"') || strcmp(active{sel}, '"Not Active"')
                            value=0;%value=0-->Non-active person
                        else
                            value='Physical activity (active or not) error';
                        end
                    end
                        
                else
                    value='Error, no exist this column';
                end
            end
        end
    end
end
