function BMR=basalMR(weight,height,age,gender)
%function BMR=basalMR(weight,height,age,gender)
%DESCRIPTION: Obtain the Basal Metabolic Rate using anthropometric data
%INPUTS:
%   - weight: Weight in kg
%   - height: Height in cm
%   - age: age in years
%   - gender: 1-->Male. 0-->Female
%RETURN:
%   - BMR: Basal Metabolic Rate (kcal)/day
%Author: Bernat Carbons
%Modification Date: 27/04/2014



if gender
    %Males
    BMR = 66.5 + (13.7*weight) + (5*height) - (6.8*age);
else
    %Females
    BMR = 655.1 + (9.6*weight) + (1.8*height) - (4.7*age);
end

