function freq=getFreq(data,time)
%function freq=getFreq(data,time)
%DESCRIPTION: Compute the frequency of the given signal
%INPUTS:
%   - data: sample values of the signal
%   - time: time vector of the signal
%RETURN:
%   - freq: frequency of the signal. If it isn't periodic, freq=0
%Author: Bernat Carbons
%Modification Date: 14/05/2014


%Set threshold
thr=0.9;

[~,col]=size(data);
freq=zeros(1,col);

for in=1:col
    
    %Identify the peaks
    [pks,pos]=findpeaks(data(:,in)-mean(data(:,in)));
    
    %Find the highest
    maximum=max(pks);
    
    %Threshold
    sel=find(pks>=thr*maximum);
    
    %Periodic
    if length(sel)>2
        %Compute the time between selected peaks and frequency
        T=mean(diff(time(pos(sel))));
        freq(in)=1/T;
    end
end
    
    
    
%     
% [pks,pos]=findpeaks(data);
% 
% %Find the highest
% [maximum, posmax]=max(pks);
% 
% %Threshold
% thr=0.9*maximum;
% sel=find(pks>=thr);
% %No periodic
% if length(sel)<3
%     freq=0;
%     return;
% end
% 
% %Compute the time between selected peaks and frequency
% T=mean(diff(time(pos(sel))));
% freq=1/T;