function [totalhours, numDay, nameDay]=getSQLhourNameDay(num)
%function [totalhours, numDay, nameDay]=getSQLhourNameDay(num)
%DESCRIPTION: Compute the total hours from 01/01/2014 using a number like 
%20140325181859 and get the name of the day and its number
%INPUTS:
%   - num: Format yyyymmddhhmmss
%RETURN:
%   - totalhours: Hours from 01/01/2014
%   - numDay: Number of the day: 1-->Monday, 2-->Tuesday, etc.
%   - nameDay: Name of the day
%Author: Bernat Carbons
%Modification Date: 19/04/2014


year=floor(num/10^10);
month=floor(num/10^8)-year*100;
day=floor(num/10^6)-floor(num/10^8)*100;
hour=floor(num/10^4)-floor(num/10^6)*100;
minutes=floor(num/10^2)-floor(num/10^4)*100;
seconds=num-floor(num/10^2)*100;

%From 01/01/2014
totalhours=0;
for in=1:month-1
    if in==4 || in==6 || in==9 || in==11 %Months with 30 days
        numdxm=30;
    else if in==2 %February
            if (mod(year,4)==0 && (mod(year,100)~=0 || mod(year,400)==0)) %Leap year
                numdxm=29;
            else
                numdxm=28;
            end
        else %Other months (31 days)
            numdxm=31;
        end
    end
    totalhours=totalhours+numdxm*24;
end

[numDay, nameDay]=weekday(strcat(num2str(month),'/',num2str(day),'/',num2str(year)),'long');
totalhours=totalhours+day*24+hour+minutes/60+seconds/3600;