function [height,weight,age,gender,active] = get_anthroData(dataAnthropoSQL, idUser)
%function [height,weight,age,gender,active] = get_anthroData(dataAnthropoSQL, idUser)
%DESCRIPTION: Get the anthropometric data for desired user
%INPUTS:
%   - dataAnthropoSQL: Antrhropometric data SQL
%   - idUser: Desired user's identifier
%RETURN:
%   - weight: Weight in kg
%   - height: Height in cm
%   - age: age in years
%   - gender: 1-->Male. 0-->Female
%   - active: 1-->Active. 0->Non-active
%Author: Bernat Carbons
%Modification Date: 21/04/2014





age=anthropometricDataSQL(dataAnthropoSQL, idUser, 'age');
height=anthropometricDataSQL(dataAnthropoSQL, idUser, 'height');
weight=anthropometricDataSQL(dataAnthropoSQL, idUser, 'weight');
gender=anthropometricDataSQL(dataAnthropoSQL, idUser, 'gender');
active=anthropometricDataSQL(dataAnthropoSQL, idUser, 'active');

% height=176;
% weight=70;
% age=21;
% gender=1;
% active=1;


end

