function [idAct, actPpal, subActPpal, mets]=importactMETs(file)
%function [idAct, actPpal, subActPpal, mets]=importactMETs(file)
%DESCRIPTION: Import the file containing the information of the activities:
%identifier, main name, sub name and METs
%INPUTS:
%   - file: Path of the METs file wanting to import
%RETURN:
%   - idAct: Vector containing the identifiers of the activities
%   - actPpal: Vector containing the main activities
%   - subActPpal: Vector containing the sub-activities
%   - mets: Vector containing the METs associated to each activity
%Author: Bernat Carbons
%Modification Date: 21/04/2014

newData1 = read_mixed(file,':');
idAct=str2double(newData1(2:end,1));
actPpal=newData1(2:end,2);
subActPpal=newData1(2:end,3);
mets=str2double(newData1(2:end,4));