function [activity, confidence, timeStamp]=importfileActRec(file)
%function [activity, confidence, timeStamp]=importfileActRec(file);
%DESCRIPTION: Import the file containing the information of the Activity
%Recognition APK of Google.
%INPUTS:
%   - file: Path of the Activity Recognition file wanting to import
%RETURN:
%   - activity: Name of the  activity (still, in_vehicle, on_bicycle, on_foot, tilting, unknown)
%   - confidence: Confidence interval associated at each activity
%   - timeStamp: Time stamp in msec
%Author: Bernat Carbons
%Modification Date: 28/02/2014

newData1 = importdata(file);
activity=newData1.textdata(:,1);
confidence=newData1.data(:,1);
timeStamp=newData1.data(:,2);
