function [rr, timeStamp]=importfilePolar(file)
%function [rr, timeStamp]=importfilePolar(file)
%DESCRIPTION: Import the file containing Polar data
%INPUTS:
%   - file: Path of the Polar file wanting to import
%RETURN:
%   - rr: Duration of the R-R interval in msec (time among peaks)
%   - timeStamp: Time stamp in msec
%Author: Bernat Carbons
%Modification Date: 28/02/2014

newData = importdata(file);
rr=newData.data(:,1); %Retorna duraci de l'interval R-R en ms. (temps entre dos pics)
timeStamp=newData.data(:,2);


