function value=indicatedActivitySQL(dataActivitiesSQL, idUser, desData)
%function value=indicatedActivitySQL(dataActivitiesSQL,idUser, desData)
%DESCRIPTION: Get the desired value from SQL database: registered time,
%main activity, secondary activity and day type.
%INPUTS:
%   - dataActivitiesSQL: Indicated activities (questionnaires) SQL
%   - IdUser: Desired user's identifier
%   - desData: Desired data (tiempoRegistrado, actPpal, subActPpal, tipoDeDia)
%RETURN:
%   - value: The value for the desired data
%Author: Bernat Carbons
%Modification Date: 21/04/2014



%Get the indicated activity data from SQL database

idUsers=str2double(dataActivitiesSQL(2:end,1));
sel=find(idUsers==idUser);
%Select the desired column and dat  
    %Registered time (tiempoRegistrado)
if strcmpi(dataActivitiesSQL(1,2), desData)
    %regTime=str2double(newData1(2:end,2));
    value=str2double(dataActivitiesSQL((sel+1),2));
        
        %Main Activity (actPpal)
else if strcmpi(dataActivitiesSQL(1,3),desData)
        %mAct=newData1(2:end,3);
        value=dataActivitiesSQL((sel+1),3);
        
            %Secondary Activity (subActPpal)
    else if strcmpi(dataActivitiesSQL(1,4),desData)
           %sAct=newData1(2:end,4);
           value=dataActivitiesSQL((sel+1),4);
           
            %Day type (tipoDeDia)
        else if strcmpi(dataActivitiesSQL(1,5),desData)
                %dayT=newData1(2:end,5);
                dayT=dataActivitiesSQL((sel+1),5);
%                 dayT(strcmpi('tipico',dayT))={1};%value=1-->tipico
%                 dayT(strcmpi('atipico',dayT))={0};%value=0-->atipico                  
            else
                    value='Error, no exist this column';
            end
        end
    end
end

