function value=indicatedActivitySQLnumber(dataActivitiesSQL,dataActivityMets,idUser,desData)
%function value=indicatedActivitySQLnumber(dataActivitiesSQL,dataActivityMets,idUser,desData)
%DESCRIPTION: Get the desired value from SQL database in numbers: registered time,
%main activity, secondary activity and day type.
%INPUTS:
%   - dataActivitiesSQL: Indicated activities (questionnaires) SQL
%   - dataActivityMets: All possible activities, their identifiers and METs
%   - IdUser: Desired user's identifier
%   - desData: Desired data (tiempoRegistrado, actPpal, subActPpal, tipoDeDia)
%RETURN:
%   - value: The value for the desired data
%Author: Bernat Carbons
%Modification Date: 21/04/2014



%Get the Activitats-MET.txt file
idAct=dataActivityMets{1};
actPpal=dataActivityMets{2};
subActPpal=dataActivityMets{3};

idUsers=str2double(dataActivitiesSQL(2:end,1));
sel=find(idUsers==idUser);
%Select the desired column and dat   
    %Registered time (tiempoRegistrado)
if strcmpi(dataActivitiesSQL(1,2), desData)
    %regTime=str2double(newData1(2:end,2));
    value=str2double(dataActivitiesSQL((sel+1),2));
        
        %Main Activity (actPpal)
else if strcmpi(dataActivitiesSQL(1,3),desData)
        %mAct=newData1(2:end,3);
        value=dataActivitiesSQL((sel+1),3);
        for in=1:length(actPpal)
            value(strcmpi(actPpal(in),value))={idAct(in)};
        end
        value=cell2mat(value);
        value=floor(value);

%         value(strcmp('Dormir',value))={1};
%         value(strcmp('Desplazamientos',value))={2};
%         value(strcmp('"Tareas cotidianas"',value))={3};
%         value(strcmp('"Tareas Domésticas"',value))={4};
%         value(strcmp('"Actividad física ligera"',value))={5};
%         value(strcmp('"Actividad laboral"',value))={6};
%         value(strcmp('"Actividades de ejercicio o deportivas"',value))={7};

          %Secondary Activity (subActPpal)
    else if strcmpi(dataActivitiesSQL(1,4),desData)
           %sAct=newData1(2:end,4);
           value=dataActivitiesSQL((sel+1),4);
           for in=1:length(subActPpal)
                value(strcmpi(subActPpal(in),value))={idAct(in)};
           end
           value=cell2mat(value);
           
%            value(strcmp('NULL',value))={1};
%            value(strcmp('"Caminar < 4 km/h o cuesta abajo"',value))={2.1};
%            value(strcmp('"Caminar > 4 km/h o cuesta arriba"',value))={2.2};
%            value(strcmp('"Caminar cuesta arriba"',value))={2.3};
%            value(strcmp('"Caminar cuesta abajo"',value))={2.4};
%            value(strcmp('"Automvil, bus, metro (sentado)"',value))={2.5};
%            value(strcmp('"Moto, metro, bus, tren (de pie)"',value))={2.6};
%            value(strcmp('"Moto, metro, bus, tren (de pie)"',value))={2.7};
%            value(strcmp('"Moto, metro, bus, tren (de pie)"',value))={2.6};
%            value=cell2mat(value);
           
            %Day type (tipoDeDia)
        else if strcmpi(dataActivitiesSQL(1,5),desData)
                %dayT=newData1(2:end,5);
                dayT=dataActivitiesSQL((sel+1),5);
                dayT(strcmpi('tipico',dayT))={1};%value=1-->tipico
                dayT(strcmpi('atipico',dayT))={0};%value=0-->atipico                    
            else
                    value='Error, no exist this column';
            end
        end
    end
end

