function dataAccel=loadAccelData(fileAccel, pathnameAccel, fs, optPlot)
%function dataAccel=loadAccelData(fileAccel, pathnameAccel, fs, optPlot)
%DESCRIPTION: Load the accelerometer data.
%INPUTS:
%   - fileAccel: Name of the accelerometer file 
%   - pathnameAccel: Path of the accelerometer file
%   - fs: Sample frequency
%   - optPlot: 0-->No plot. 1-->Plot
%RETURN:
%   - dataAccel: Cell containing ax, ay, az, timeStamp and date for each observation 
%Author: Bernat Carbons
%Modification Date: 04/06/2014

%Accelerometer Data
l=length(fileAccel);
dataAccel=cell(1,l);
for in=1:l
    [dataAccel{in}{1},dataAccel{in}{2},dataAccel{in}{3},dataAccel{in}{4}, ...
        dataAccel{in}{5}]=accelData(fs, fileAccel(in).name, pathnameAccel, optPlot, false);
    %[ax{in}, ay{in}, az{in}, t{in}, date{in}]=accelData(fs, fileAccel(in).name, pathnameAccel);
end


