function [dataAnthropoSQL,dataActivitiesSQL,dataActivityMets]=loadFiles(fileAnthropoSQL,fileActivitiesSQL,fileActivityMets)
%function [dataAnthropoSQL,dataActivitiesSQL,dataActivityMets]=loadFiles(fileAnthropoSQL,fileActivitiesSQL,fileActivityMets)
%DESCRIPTION: Load the anthropometric data SQL, the indicated activities
%data SQL and the all possible activities data.
%INPUTS:
%   - fileAnthropoSQL: Name of the Anthropometric SQL file
%   - fileActivitiesSQL: Name of the indicated Activities SQL file
%   (questionnaires)
%   - fileActivityMets: Name of the possible activities file
%RETURN:
%   - dataAnthropoSQL: Antrhropometric data SQL
%   - dataActivitiesSQL: Indicated activities (questionnaires) SQL
%   - dataActivityMets: All possible activities, their identifiers and METs

%Author: Bernat Carbons
%Modification Date: 04/06/2014

%Anthropometric Data from SQL database
dataAnthropoSQL=read_mixed(fileAnthropoSQL, ',');

%Indicated Activity Data from SQL databse
dataActivitiesSQL=read_mixed(fileActivitiesSQL, ';');

%Whole activities with id and METS 
[idAct, actPpal, subActPpal, mets]=importactMETs(fileActivityMets);
dataActivityMets=cell(1,4);
dataActivityMets{1}=idAct;
dataActivityMets{2}=actPpal;
dataActivityMets{3}=subActPpal;
dataActivityMets{4}=mets;



