%DESCRIPTION: Use the GPS data.Compute the followed route. Load the file .kml
%to Google Earth
%INPUTS:
%   - 
%RETURN:
%   - 
%Author: Federico Guede
%Modification Date: 28/02/2014



clear;
clc;

%Load the GPSData.......txt
[file, pathname]=uigetfile('*.txt');
fileComplete = fullfile(pathname, file); %To load files from diferent directory

[tipo,Latitud,Longitud,Altitud,Accuracy,timeLong1] = importfileGPSData(fileComplete);

Rtierra=40e3*1000/2/pi;
x=(Longitud-Longitud(1))/180*pi*Rtierra;
y=(Latitud-Latitud(1))/180*pi*Rtierra;
z=Altitud-Altitud(1);
t=(timeLong1-timeLong1(1))*1e-3;
coor=[Longitud Latitud Altitud];

fid = fopen('coord_h.kml','w');

nptos=length(Longitud);

str='<?xml version="1.0" encoding="UTF-8"?>';
fprintf(fid, '%s\r\n', str);
str='<kml xmlns="http://www.opengis.net/kml/2.2">';
fprintf(fid, '%s\r\n', str);
str='<Document>';
fprintf(fid, '%s\r\n', str);
str='  <name>Actimetry map</name>';
fprintf(fid, '%s\r\n', str);
str='  <open>1</open>';
fprintf(fid, '%s\r\n', str);
str='  <Style id="linestyleExample">';
fprintf(fid, '%s\r\n', str);
str='    <LineStyle>';
fprintf(fid, '%s\r\n', str);
str='      <color>7f0000ff</color>';
fprintf(fid, '%s\r\n', str);
str='      <width>4</width>'
fprintf(fid, '%s\r\n', str);
str='    </LineStyle>';
fprintf(fid, '%s\r\n', str);
str='  </Style>';
fprintf(fid, '%s\r\n', str);

%Icono marcas hora
str='<Style id="failed3">';
fprintf(fid, '%s\r\n', str);
str='		<IconStyle>';
fprintf(fid, '%s\r\n', str);
str='			<Icon>';
fprintf(fid, '%s\r\n', str);
str='				<href>http://maps.google.com/mapfiles/kml/paddle/blu-blank.png</href>';
fprintf(fid, '%s\r\n', str);
str='			</Icon>';
fprintf(fid, '%s\r\n', str);
str='			<hotSpot x="32" y="1" xunits="pixels" yunits="pixels"/>';
fprintf(fid, '%s\r\n', str);
str='		</IconStyle>';
fprintf(fid, '%s\r\n', str);
str='		<ListStyle>';
fprintf(fid, '%s\r\n', str);
str='			<ItemIcon>';
fprintf(fid, '%s\r\n', str);
str='				<href>http://maps.google.com/mapfiles/kml/paddle/blu-blank-lv.png</href>';
fprintf(fid, '%s\r\n', str);
str='			</ItemIcon>';
fprintf(fid, '%s\r\n', str);
str='		</ListStyle>';
fprintf(fid, '%s\r\n', str);
str='	</Style>';
fprintf(fid, '%s\r\n', str);


%Pinta un pin para la salida y otro llegada
str='<Placemark>';
fprintf(fid, '%s\r\n', str);
str='	<name>Start</name>';
fprintf(fid, '%s\r\n', str);
str='	<LookAt>';
fprintf(fid, '%s\r\n', str);
str=['		<longitude>' num2str(coor(1,1),'%3.6f') '</longitude>'];
fprintf(fid, '%s\r\n', str);
str=['		<latitude>' num2str(coor(1,2),'%3.6f') '</latitude>'];
fprintf(fid, '%s\r\n', str);
str=['		<altitude>' num2str(coor(1,3),'%3.6f') '</altitude>'];
fprintf(fid, '%s\r\n', str);

str='		<range>185.86817238498</range>';
fprintf(fid, '%s\r\n', str);;
str='		<tilt>0</tilt>';
fprintf(fid, '%s\r\n', str);
str='		<heading>0</heading>';
fprintf(fid, '%s\r\n', str);
str='	</LookAt>';
fprintf(fid, '%s\r\n', str);
str='	<styleUrl>#msn_grn-circle</styleUrl>'
fprintf(fid, '%s\r\n', str);
str='	<Point>';
fprintf(fid, '%s\r\n', str);
str=['		<coordinates>' num2str(coor(1,1),'%3.6f') ',' num2str(coor(1,2),'%3.6f') ',0</coordinates>']
fprintf(fid, '%s\r\n', str);
str='	</Point>';
fprintf(fid, '%s\r\n', str);
str='	</Placemark>';
fprintf(fid, '%s\r\n', str);

%Pinta un pin para la llegada
str='<Placemark>';
fprintf(fid, '%s\r\n', str);
str='	<name>Arrival</name>';
fprintf(fid, '%s\r\n', str);
str='   <styleUrl>#msn_grn-circle</styleUrl>';

%str='	<styleUrl>#msn_grn-circle</styleUrl>'
fprintf(fid, '%s\r\n', str);
str='	<Point>';
fprintf(fid, '%s\r\n', str);
str=['		<coordinates>' num2str(coor(nptos,1),'%3.6f') ',' num2str(coor(nptos,2),'%3.6f') ',0</coordinates>'];
fprintf(fid, '%s\r\n', str);
str='	</Point>';
fprintf(fid, '%s\r\n', str);
str='	</Placemark>';
fprintf(fid, '%s\r\n', str);



%
Nhoras=floor((timeLong1(end)-timeLong1(1))/1000/3600*10);

Nstep=floor(length(timeLong1)/Nhoras);

for jj=100:Nhoras-1
    %Pinta un punto para cada hora
    str='<Placemark>';
    fprintf(fid, '%s\r\n', str);
    hora=datestr(timeLong1((jj-1)*Nstep+1)/1000/24/3600+7.19529e5+2/24,'HH:MM:SS');
    str=['	<name>' hora '</name>'];
    fprintf(fid, '%s\r\n', str);
    %str='   <styleUrl>#msn_red-circle</styleUrl>';
    str='	<styleUrl>failed3</styleUrl>';
    fprintf(fid, '%s\r\n', str);
    str='	<Point>';
    fprintf(fid, '%s\r\n', str);
    PosH=(jj-1)*Nstep+1;
    str=['		<coordinates>' num2str(coor(PosH,1),'%3.6f') ',' num2str(coor(PosH,2),'%3.6f') ',0</coordinates>'];
    fprintf(fid, '%s\r\n', str);
    str='	</Point>';
    fprintf(fid, '%s\r\n', str);
    str='	</Placemark>';
    fprintf(fid, '%s\r\n', str);
    
end





str='  <Placemark>';
fprintf(fid, '%s\r\n', str);
str='    <name>LineStyle Example</name>';
fprintf(fid, '%s\r\n', str);
str='    <styleUrl>#linestyleExample</styleUrl>';
fprintf(fid, '%s\r\n', str);
str='    <LineString>';
fprintf(fid, '%s\r\n', str);
str='      <extrude>1</extrude>';
fprintf(fid, '%s\r\n', str);
str='      <tessellate>1</tessellate>';
fprintf(fid, '%s\r\n', str);
str='      <coordinates>';
fprintf(fid, '%s\r\n', str);

for n=1:nptos
    fprintf(fid, '%3.6f,%3.6f,%3.6f\r\n', coor(n,1),coor(n,2),coor(n,3));
end

str='</coordinates> </LineString> </Placemark> </Document> </kml>';

fprintf(fid, '%s\r\n', str);
fclose(fid);